Bug 199537 - [patch] japanese/k10: Fix installation of fonts.alias and take maintainership
Summary: [patch] japanese/k10: Fix installation of fonts.alias and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-04-19 09:30 UTC by WATANABE Kazuhiro
Modified: 2015-05-26 17:16 UTC (History)
1 user (show)

See Also:


Attachments
A patch for japanese/k10 (6.23 KB, patch)
2015-04-19 09:30 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport log without the patch (10.1-RELEASE amd64) (15.78 KB, text/x-log)
2015-04-19 09:31 UTC, WATANABE Kazuhiro
no flags Details
poudriere testport log with the patch (10.1-RELEASE amd64) (15.70 KB, text/x-log)
2015-04-19 09:32 UTC, WATANABE Kazuhiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WATANABE Kazuhiro 2015-04-19 09:30:36 UTC
Created attachment 155720 [details]
A patch for japanese/k10

Due to recent massive updates which is related with USES=fonts [1],
japanese/k10 fails to update fonts.alias.

(1) Remove fonts.alias updating scripts (pkg-install and pkg-deinstall).
    Simply install fonts.alias itself with ${INSTALL_DATA}.

(2) Add pkg-message.in for appropriate fontpath setting.
    It is copied from japanese/k12.

(3) Bump PORTREVISION.

(4) Take maintainership.

[1] https://svnweb.freebsd.org/ports?view=revision&revision=381876
Comment 1 WATANABE Kazuhiro 2015-04-19 09:31:29 UTC
Created attachment 155721 [details]
poudriere testport log without the patch (10.1-RELEASE amd64)
Comment 2 WATANABE Kazuhiro 2015-04-19 09:32:10 UTC
Created attachment 155722 [details]
poudriere testport log with the patch (10.1-RELEASE amd64)
Comment 3 commit-hook freebsd_committer 2015-05-24 08:18:44 UTC
A commit references this bug:

Author: riggs
Date: Sun May 24 08:17:59 UTC 2015
New revision: 387258
URL: https://svnweb.freebsd.org/changeset/ports/387258

Log:
  - Fix runtime behaviour: fonts.alias was not updated properly
  - Add pkg-message.in; fontpath setting instructions
  - Bump PORTREVISION
  - New maintainer: WATANABE Kazuhiro (CQG00620@nifty.ne.jp)

  PR:		199537
  Submitted by:	CQG00620@nifty.ne.jp (maintainer)
  MFH:		2015Q2

Changes:
  head/japanese/k10/Makefile
  head/japanese/k10/files/fonts.alias
  head/japanese/k10/files/pkg-message.in
  head/japanese/k10/pkg-deinstall
  head/japanese/k10/pkg-install
  head/japanese/k10/pkg-plist
Comment 4 Thomas Zander freebsd_committer 2015-05-24 08:22:59 UTC
Thanks for taking maintainership!

Next time, please make sure that your e-mail address in the patch is correct :-)
Comment 5 commit-hook freebsd_committer 2015-05-26 17:16:25 UTC
A commit references this bug:

Author: riggs
Date: Tue May 26 17:15:44 UTC 2015
New revision: 387493
URL: https://svnweb.freebsd.org/changeset/ports/387493

Log:
  MFH: r387258

  - Fix runtime behaviour: fonts.alias was not updated properly
  - Add pkg-message.in; fontpath setting instructions
  - Bump PORTREVISION
  - New maintainer: WATANABE Kazuhiro (CQG00620@nifty.ne.jp)

  PR:		199537
  Submitted by:	CQG00620@nifty.ne.jp (maintainer)
  Approved by: ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/japanese/k10/Makefile
  branches/2015Q2/japanese/k10/files/fonts.alias
  branches/2015Q2/japanese/k10/files/pkg-message.in
  branches/2015Q2/japanese/k10/pkg-deinstall
  branches/2015Q2/japanese/k10/pkg-install
  branches/2015Q2/japanese/k10/pkg-plist